felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Alin Dreghiciu (JIRA)" <j...@apache.org>
Subject [jira] Closed: (FELIX-256) maven-bundle-plugin, versions with more then 1 digit, and - before qualifier
Date Thu, 15 Mar 2007 23:08:09 GMT

     [ https://issues.apache.org/jira/browse/FELIX-256?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Alin Dreghiciu closed FELIX-256.
--------------------------------


> maven-bundle-plugin, versions with more then 1 digit, and - before qualifier
> ----------------------------------------------------------------------------
>
>                 Key: FELIX-256
>                 URL: https://issues.apache.org/jira/browse/FELIX-256
>             Project: Felix
>          Issue Type: Bug
>          Components: Maven Plugin
>            Reporter: Alin Dreghiciu
>         Assigned To: Richard S. Hall
>
> maven-bundle-plugin will replace the first - from the version of the artifact with an
. in order to form an osgi valid version. The problem is that the regexp used to figure if
it should replace it does not match if there are two digits in the second/third group from
the version. So a version as 1.2.8-SNAPSHOT will match and be transformed to 1.2.8.SNAPSHOT
but 1.2.12-SNAPSHOT will not match and result in an invalid osgi version that will be correctrly
chached by bnd.
> So
> Pattern P_VERSION = Pattern.compile("([0-9]+(\\.[0-9])*)-(.*)");
> should become
> Pattern P_VERSION = Pattern.compile("([0-9]+(\\.[0-9]+)*)-(.*)");
> This is also the problem from FELIX-230.
> Pleae solve asap since is an easy fix and will speedup felix commons.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message